Loading...
Searching...
No Matches
HybridFactor.h File Reference

Go to the source code of this file.

## Classes

class | gtsam::HybridFactor
| Base class for truly hybrid probabilistic factors. More...
struct | gtsam::traits< HybridFactor >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::GaussianFactorGraphTree = DecisionTree<Key, GaussianFactorGraph>
| Alias for DecisionTree of GaussianFactorGraphs.

## Functions

KeyVector | gtsam::CollectKeys (const KeyVector &continuousKeys, const DiscreteKeys &discreteKeys)
KeyVector | gtsam::CollectKeys (const KeyVector &keys1, const KeyVector &keys2)
DiscreteKeys | gtsam::CollectDiscreteKeys (const DiscreteKeys &key1, const DiscreteKeys &key2)

## Detailed Description

Date
  Mar 11, 2022

Author
  Fan Jiang